<!DOCTYPE html>
<html lang="fr">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Connexion à la Caisse Fictive</title>
    <style>
        body {
            font-family: 'Arial', sans-serif;
            margin: 0;
            padding: 0;
            background-color: #f4f4f4;
        }

        header {
            background-color: #333;
            color: #fff;
            text-align: center;
            padding: 1em;
        }

        section {
            max-width: 600px;
            margin: 2em auto;
            padding: 2em;
            background-color: #fff;
            box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
            border-radius: 8px;
        }

        label {
            display: block;
            margin-bottom: 0.5em;
            font-weight: bold;
        }

        input {
            width: 100%;
            padding: 0.5em;
            margin-bottom: 1em;
            border: 1px solid #ccc;
            border-radius: 4px;
        }

        button {
            background-color: #007BFF;
            color: #fff;
            padding: 0.5em 1em;
            border: none;
            border-radius: 4px;
            cursor: pointer;
        }

        button:hover {
            background-color: #0056b3;
        }

        footer {
            background-color: #333;
            color: #fff;
            text-align: center;
            padding: 1em;
            position: fixed;
            bottom: 0;
            width: 100%;
        }
    </style>
</head>
<body>
    <header>
        <h1>Connexion à la Caisse Fictive</h1>
    </header>
    <section>
        <!-- Intégration de l'image fournie depuis Unsplash -->
        <img src="https://images.unsplash.com/photo-1486312338219-ce68d2c6f44d?q=80&w=2672&auto=format&fit=crop&ixlib=rb-4.0.3&ixid=M3wxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHx8fA%3D%3D" alt="Personne travaillant sur un ordinateur avec un grand sourire" style="max-width: 100%; border-radius: 8px; margin-bottom: 1em;">

        <form action="{{redirect_uri}}" method="GET">
            <label for="username">Nom d'utilisateur :</label>
            <!-- <input type="text" id="username" name="username" required> -->
            <input type="text" id="username" name="username">

            <label for="password">Mot de passe :</label>
            <!-- <input type="password" id="password" name="password" required> -->
            <input type="password" id="password" name="password">
            <input type="hidden" name="state" value="{{state}}">
            <input type="hidden" name="code" value="{{code}}">

            <button type="submit">Se connecter</button>
        </form>
    </section>
    <footer>
        <p>Caisse Fictive &copy; 2023</p>
    </footer>
</body>
</html>
